Bug 1544700 (CVE-2015-9016)

Summary: CVE-2015-9016 kernel: Race condition in block/blk-mq.c:blk_mq_tag_to_rq() can lead to kernel oops
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: agordeev, airlied, ajax, aquini, bhu, blc, bskeggs, dhoward, esammons, ewk, fhrbata, hdegoede, hkrzesin, hwkernel-mgr, iboverma, ichavero, itamar, jarodwilson, jforbes, jglisse, jkacur, john.j5live, jonathan, josef, jross, jwboyer, kernel-maint, kernel-mgr, labbott, lgoncalv, linville, lwang, matt, mchehab, mcressma, mguzik, mjg59, mlangsdo, nmurray, plougher, rt-maint, rvrbovsk, skozina, steved, vdronov, williams, wmealing
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: kernel 4.3 Doc Type: If docs needed, set a value
Doc Text:
A race condition was found in the block multi queue subsystem of the Linux kernel. This may lead to a kernel panic or have another unknown side affect.
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-02-22 13:22:46 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1544702    

Description Adam Mariš 2018-02-13 10:36:30 UTC
Race condition was found in block/blk-mq.c in blk_mq_tag_to_rq() function that can lead to kernel oops or possible disk write corruption by removing tagged writes intended to be flushed.


Upstream patch:

https://github.com/torvalds/linux/commit/0048b4837affd153897ed1222283492070027aa9

Reference:

https://source.android.com/security/bulletin/2018-02-01#kernel-components

Comment 2 Wade Mealing 2018-02-20 02:49:43 UTC
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux.